<?php
/*
 * @ LamiAds Postback
 * @ PHP 7.2
 * @ Developer by Jendy Pham
 * @ Release: 11/14/2022
 */

define("OfferWallPostback", 1);
include "developer.php";
include_once INCLUDES_PATH . "offerwalls" . DIRECTORY_SEPARATOR . "lamiads/lamiads.php";
$offerData = lamiads_offerwall();
$offerName = $offerData["name"];
$offerwallID = $offerData["id"];
$fieldName = $offerData["field"];
$postback_return = "1";
$className = "\\Evolution\\Models\\" . ucfirst($offerwallID);
$offerClass = new $className();
$user_id = $input->post_get("subId");
$transaction_id = $input->post_get("transId");
$virtual_coins = $input->post_get("reward");
$site_reward = $input->post_get("fiat_payout");
$status = $input->post_get("status");
$server_signature = $input->post_get("signature");
$custom_1 = $input->post_get("offer_name");
$custom_2 = $input->post_get("userIp");
$custom_3 = $input->post_get("country");
$signature = md5($user_id . $transaction_id . $virtual_coins . $offerClass->get("secret_key"));
$user_id = str_replace("external_identifier=", "", $user_id);
if($server_signature != $signature){
	log_message("error", "LamiAds Error: Invalid hash");
    exit;
}

log_message("error", $offerName."|". $user_id ."|".$custom_1."|".$custom_2."|" .$virtual_coins."|".$site_reward."| => PB OK"); 
include BASEPATH . "Sources" . DIRECTORY_SEPARATOR . "offerwalls_postback.php";

?>